"use strict";
var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var DSTruncateTextWithTooltip_exports = {};
__export(DSTruncateTextWithTooltip_exports, {
  DSTruncateTextWithTooltip: () => DSTruncateTextWithTooltip,
  DSTruncateTextWithTooltipWithSchema: () => DSTruncateTextWithTooltipWithSchema
});
module.exports = __toCommonJS(DSTruncateTextWithTooltip_exports);
var React = __toESM(require("react"));
var import_jsx_runtime = require("react/jsx-runtime");
var import_react = require("react");
var import_ds_tooltip_v3 = require("@elliemae/ds-tooltip-v3");
var import_ds_props_helpers = require("@elliemae/ds-props-helpers");
var import_DSTruncateTextWIthTooltipDatatestid = require("./DSTruncateTextWIthTooltipDatatestid.js");
var import_styles = require("./styles.js");
var import_react_desc_prop_types = require("./react-desc-prop-types.js");
const DSTruncateTextWithTooltip = (props) => {
  const propsWithDefault = (0, import_ds_props_helpers.useMemoMergePropsWithDefault)(props, import_react_desc_prop_types.defaultProps);
  (0, import_ds_props_helpers.useValidateTypescriptPropTypes)(
    propsWithDefault,
    import_react_desc_prop_types.DSTruncateTextWithTooltipPropTypesSchema,
    "DSTruncateTextWithTooltip"
  );
  const { text, tooltipProps } = propsWithDefault;
  const [textWrapperEl, setTextWrapperEl] = (0, import_react.useState)(null);
  const [isShowingEllipsis, setIsShowingEllipsis] = (0, import_react.useState)(false);
  const resizeObserver = (0, import_react.useMemo)(
    () => new ResizeObserver((entries) => {
      if (entries.length) {
        const [textWrapperEntry] = entries;
        const el = textWrapperEntry.target;
        setIsShowingEllipsis(el?.scrollWidth > el?.clientWidth);
      }
    }),
    []
  );
  (0, import_react.useEffect)(() => {
    if (textWrapperEl) {
      setIsShowingEllipsis(textWrapperEl?.scrollWidth > textWrapperEl?.clientWidth);
      resizeObserver.observe(textWrapperEl);
    }
    return () => {
      if (textWrapperEl) {
        resizeObserver.unobserve(textWrapperEl);
      }
    };
  }, [resizeObserver, textWrapperEl]);
  if (isShowingEllipsis)
    return /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_ds_tooltip_v3.DSTooltipV3, { text, ...tooltipProps, children: /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_styles.Text, { innerRef: setTextWrapperEl, tabIndex: 0, "data-testid": import_DSTruncateTextWIthTooltipDatatestid.DSTruncateTextWithTooltipDatatestid.TEXT, children: text }) });
  return /* @__PURE__ */ (0, import_jsx_runtime.jsx)(import_styles.Text, { innerRef: setTextWrapperEl, "data-testid": import_DSTruncateTextWIthTooltipDatatestid.DSTruncateTextWithTooltipDatatestid.TEXT, children: text });
};
const DSTruncateTextWithTooltipWithSchema = (0, import_ds_props_helpers.describe)(DSTruncateTextWithTooltip);
DSTruncateTextWithTooltipWithSchema.propTypes = import_react_desc_prop_types.DSTruncateTextWithTooltipPropTypesSchema;
//# sourceMappingURL=DSTruncateTextWithTooltip.js.map
