import * as React from "react";
import { PropTypes } from "@elliemae/ds-props-helpers";
const defaultProps = {
  tooltipProps: {}
};
const DSTruncateTextWithTooltipPropTypes = {
  text: PropTypes.string.description("Text to show.").isRequired,
  tooltipProps: PropTypes.object.description(
    "This component uses DSTooltip component, you can set properties directly to this component with this property."
  ).defaultValue({})
};
const DSTruncateTextWithTooltipPropTypesSchema = DSTruncateTextWithTooltipPropTypes;
export {
  DSTruncateTextWithTooltipPropTypes,
  DSTruncateTextWithTooltipPropTypesSchema,
  defaultProps
};
//# sourceMappingURL=react-desc-prop-types.js.map
