import * as React from "react";
import { Fragment, jsx, jsxs } from "react/jsx-runtime";
import { DSTruncateTextWithTooltip } from "../index.js";
const testRequiredProps = {
  text: "This is defined as just as string so this is fine for testing"
};
const testOptionalProps = {};
const testPartialDefaults = {
  tooltipProps: {}
};
const testProps = {
  ...testRequiredProps,
  ...testOptionalProps,
  ...testPartialDefaults
};
const testPropsAsSyntax = {
  ...testRequiredProps,
  ...testOptionalProps,
  ...testPartialDefaults
};
const testCompleteDefaults = {
  tooltipProps: {}
};
const testInternalProps = {
  ...testRequiredProps,
  ...testOptionalProps,
  ...testCompleteDefaults
};
const testInternalPropsAsSyntax = {
  ...testRequiredProps,
  ...testOptionalProps,
  ...testCompleteDefaults
};
const testExplicitDefinition = {
  text: "This is defined as just as string so this is fine for testing"
};
const testInferedTypeCompatibility = {
  text: "This is defined as just as string so this is fine for testing"
};
const testDefinitionAsConst = {
  text: "This is defined as just as string so this is fine for testing"
};
const ExampleUsageComponent = () => /* @__PURE__ */ jsxs(Fragment, { children: [
  /* @__PURE__ */ jsx(DSTruncateTextWithTooltip, { ...testExplicitDefinition }),
  /* @__PURE__ */ jsx(DSTruncateTextWithTooltip, { ...testInferedTypeCompatibility }),
  /* @__PURE__ */ jsx(DSTruncateTextWithTooltip, { ...testDefinitionAsConst }),
  /* @__PURE__ */ jsx(DSTruncateTextWithTooltip, { text: "System Message" })
] });
//# sourceMappingURL=typescript-truncate-text-with-tooltip-valid.js.map
