"use strict";
var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var TooltipTextProvider_exports = {};
__export(TooltipTextProvider_exports, {
  TooltipTextProvider: () => TooltipTextProvider,
  TruncatedTooltipContext: () => TruncatedTooltipContext,
  default: () => TooltipTextProvider_default
});
module.exports = __toCommonJS(TooltipTextProvider_exports);
var React = __toESM(require("react"));
var import_jsx_runtime = require("react/jsx-runtime");
var import_react = __toESM(require("react"));
var import_ds_popover = require("@elliemae/ds-popover");
const TruncatedTooltipContext = import_react.default.createContext();
const { Provider } = TruncatedTooltipContext;
const TooltipTextProvider = ({ children, tooltipDelay = 200, placement = "top", ...tooltipOptions }) => {
  const {
    show: showTooltip,
    hide: hideTooltip,
    state: tooltipState
  } = (0, import_ds_popover.usePopoverProviderState)({ delay: tooltipDelay });
  const [zIndex, setZIndex] = (0, import_react.useState)(110);
  const value = (0, import_react.useMemo)(
    () => ({
      showTooltip,
      hideTooltip,
      setZIndex
    }),
    []
  );
  return /* @__PURE__ */ (0, import_jsx_runtime.jsxs)(Provider, { value, children: [
    children,
    tooltipState.visible ? /* @__PURE__ */ (0, import_jsx_runtime.jsx)(
      import_ds_popover.DSPopover,
      {
        boundaries: "window",
        placement,
        showArrow: true,
        ...tooltipOptions,
        ...tooltipState.options || {},
        content: tooltipState.value,
        referenceEl: tooltipState.reference,
        style: { pointerEvents: "none", zIndex },
        visible: tooltipState.visible
      }
    ) : null
  ] });
};
TooltipTextProvider.propTypes = {};
TooltipTextProvider.defaultProps = {};
var TooltipTextProvider_default = TooltipTextProvider;
//# sourceMappingURL=TooltipTextProvider.js.map
