import type { WeakValidationMap } from 'react';
import type { DSPropTypesSchema } from '@elliemae/ds-props-helpers';
export declare namespace DSTruncateTextWithTooltipT {
    interface DefaultProps {
        tooltipProps: Record<string, unknown>;
    }
    interface OptionalProps {
    }
    interface RequiredProps {
        text: string;
    }
    interface Props extends Partial<DefaultProps>, OptionalProps, RequiredProps {
    }
    interface InternalProps extends DefaultProps, OptionalProps, RequiredProps {
    }
}
export declare const defaultProps: DSTruncateTextWithTooltipT.DefaultProps;
export declare const DSTruncateTextWithTooltipPropTypes: DSPropTypesSchema<DSTruncateTextWithTooltipT.Props>;
export declare const DSTruncateTextWithTooltipPropTypesSchema: WeakValidationMap<DSTruncateTextWithTooltipT.Props>;
